/* 
*
*  ProLinga-Soap
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Soap.
*
*  ProLinga-Soap is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Soap is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Soap. If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef SOAP_HPP
#define SOAP_HPP 1

/* Include class for the SOAP client */
#include <prolinga/SoapClient.hpp>

/* Class for the SOAP service */
class PlSoapService
{
	public:
		PlSoapService();
		~PlSoapService();
		int soapServiceStart(char *server_host, int server_port, int num_threads, int server_comp, char *log_file, int log_level);
	private:
};
typedef PlSoapService *PlSoapServicePtr;


/* Class for delivery of request and pick-up of response */
class PlSoapProcess
{
	public:
		PlSoapProcess();
		~PlSoapProcess();
		xmlDocPtr getRequest(void);
		void putResponse(xmlDocPtr docRes);

		xmlDocPtr getResponse(void);
		void putRequest(xmlDocPtr docReq);
	private:
		xmlDocPtr processRequest;
		xmlDocPtr processResponse;
};
typedef PlSoapProcess *PlSoapProcessPtr;
		

/* Function for delivery of request and pick-up of response */
void PlSoapLink(PlSoapProcess *process);

		
#endif /* SOAP_HPP */
