<?xml version='1.0'?> <!--*- mode: xml -*-->
<!--
* 
*
*  ProLinga-Soap
*
*  Copyright (C) 2002-2009 Xobas Software
*  All rights reserved.
*  
*  This file is part of ProLinga-Soap.
*
*  ProLinga-Soap is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Soap is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Soap. If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:date="http://exslt.org/dates-and-times"
                extension-element-prefixes="date"
                version="1.0">


  <xsl:template name="chunk-element-content">

    <xsl:param name="prev"/>
    <xsl:param name="next"/>
    <xsl:param name="nav.context"/>
    <xsl:param name="content">
      <xsl:apply-imports/>
    </xsl:param>

    <html>

      <xsl:call-template name="html.head">
        <xsl:with-param name="prev" select="$prev"/>
        <xsl:with-param name="next" select="$next"/>
      </xsl:call-template>

      <body>
        <xsl:call-template name="body.attributes"/>
          <div id="header">
            <div id="logo">
		<h1><a href="http://www.prolinga.org">Pro<span><i>Linga</i></span></a></h1>
		<p><a href="http://www.prolinga.org/">System Builder</a></p>

	    </div>
            <div id="menu">
              <a href="/index.html">
               <img src="images/up.png" width="24" height="24" border="0" alt="Up"/>
              </a>
          </div>
          </div>

          <xsl:call-template name="user.header.navigation"/>

          <xsl:call-template name="header.navigation">
            <xsl:with-param name="prev" select="$prev"/>
            <xsl:with-param name="next" select="$next"/>
            <xsl:with-param name="nav.context" select="$nav.context"/>
          </xsl:call-template>

          <xsl:call-template name="user.header.content"/>

<div id="page">
<div id="content_doc">
<!--				

		<div class="post">
			<div class="title">

                                <h2><a href="#">About this Template</a></h2>
				<p><small>Posted on August 20th, 2007 by <a href="#">Free CSS Templates</a></small></p>
			</div>
			<div class="entry">

-->


          <xsl:copy-of select="$content"/>


</div>
</div>
          <xsl:call-template name="user.footer.content"/>

          <xsl:call-template name="footer.navigation">
            <xsl:with-param name="prev" select="$prev"/>
            <xsl:with-param name="next" select="$next"/>
            <xsl:with-param name="nav.context" select="$nav.context"/>
          </xsl:call-template>

          <xsl:call-template name="user.footer.navigation"/>

<!-- start footer -->
<div id="footer">
	<p class="links">
		<a href="http://validator.w3.org/check/referer" class="html" title="This page validates as XHTML">Valid <abbr title="eXtensible HyperText Markup Language">HTML 4.01</abbr></a>
		&#160;&#160;&#160;
		<a href="http://jigsaw.w3.org/css-validator/check/referer" class="css" title="This page validates as CSS">Valid <abbr title="Cascading Style Sheets">CSS</abbr></a>

	</p>
	<p class="legal">
		&#169;2002-2009 <a href="http://lists.prolinga.org">The ProLinga Team</a>. All Rights Reserved.
		&#160;&#160;&#8226;&#160;&#160;
		Design by <a href="http://www.freecsstemplates.org/">Free CSS Templates</a>
		&#160;&#160;&#8226;&#160;&#160;
		Icons by <a href="http://famfamfam.com/">FAMFAMFAM</a>. </p>

           <p>Page generated on <xsl:value-of select="date:date-time()"/>.</p>
</div>
<!-- end footer -->
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>

